Concept
Container
Object that contains other objects.
Concept Definition
Required Metafunctions

GetValue | Type for reading values.
Position | Type of an object that represents a position in a container.
Reference | Reference type.
Size | Type of an object that is suitable to hold size information.
Value | Type of the items in the container.

Required Functions

append | Concatenate two containers.
appendValue | Appends a value to a container.
assign | Assigns one object to another object.
assignValue | Assigns value to item.
assignValue | Assigns value to item.
begin | The begin of a container.
beginPosition | Begin position of object in host.
capacity | The maximal length.
end | The end of a container.
endPosition | End position of object in host.
getValue | Access to the value.
length | The number of items/characters.
moveValue | Assigns value to item.
replace | Replaces a part of a container with another container.
value | Reference to the value.

Implemented by

ModifiedString | Allows to modify arbitrary strings by specializing what differs from an origin.
String | General purpose container for sequences.

Used By Function
assignValue, begin, beginPosition, end, endPosition, back, getValue, length, front, position, moveValue
Functions

addSeeds | Adds several seeds to an existing set. If a merging or chaining algorithm is used seeds are added if the merging or chaining fails.
extendSeeds | Extension of seeds.
extendSeedsScore | Extension of seeds with score calculation.
extendSeedsScore | Extension of seeds with score calculation.
getKmerSimilarityMatrix | Creates a matrix storing the number of common q-grams between all pairs of sequences.
getKmerSimilarityMatrix | Creates a matrix storing the number of common q-grams between all pairs of sequences.
reverse | Reverse an object/container in-place.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45